import { IDataChartVisualDataManager } from "./IDataChartVisualDataManager";
import { XamDataChart } from "./XamDataChart";
import { SeriesViewer } from "./SeriesViewer";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { TextBlock } from "igniteui-react-core/ES2015/TextBlock";
import { Base, Type } from "igniteui-react-core/ES2015/type";
export declare class DataChartVisualDataManager extends Base implements IDataChartVisualDataManager {
    exportVisualData(a: XamDataChart): any;
    private c(a, b);
    d(a: TextBlock, b: SeriesViewer): Rect;
    private b(a, b);
    private a(a, b, c);
    static $t: Type;
}
